- entityDefinitions:
  - IDC_ReportColumn: '{BEFE99A1-B2EB-4365-A2C9-061C6609037B}'

  - IDR_Report_Column__has__Report_Field: "{B9026910-7E91-4EE1-B5F2-D7B740614831}"
  - IDR_Report_Field__for__Report_Column: '{82f6833d-5098-4477-8ab6-7d1118dcebf3}'
  - IDR_Report_Column__has__Report_Object: '{a8d3b1d1-095f-4587-b417-02f204ae7dbd}'
  - IDR_Report_Object__for__Report_Column: '{b20ae7ff-79c0-4d2c-b075-6fd18b431772}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ReportColumn;'
    name: Report Column
    index: 4310
    moduleId: '&IDI_Module_MochaBaseSystem_Reporting;'
    registerForTemplate: yes
    attributes:
    - instance: '&IDA_Order;'
      customTagName: 'order'
    - instance: '&IDA_LabelOverride;'
      customTagName: 'columnHeadingOverride'
    relationships:
    - instance: '&IDR_Report_Column__has__Report_Object;'
      customTagName: 'reportObjectId'
    - instance: '&IDR_Report_Column__has__Report_Field;'
      customTagName: 'reportFieldId'

  - relationship: '&IDR_Report_Column__has__Report_Field;'
    index: 3692
    sourceClassId: '&IDC_ReportColumn;'
    type: 'has'
    destinationClassId: '&IDC_ReportField;'
    siblingRelationshipId: '&IDR_Report_Field__for__Report_Column;'
    singular: yes

  - relationship: '&IDR_Report_Field__for__Report_Column;'
    index: 3693
    sourceClassId: '&IDC_ReportField;'
    type: 'for'
    destinationClassId: '&IDC_ReportColumn;'
    siblingRelationshipId: '&IDR_Report_Column__has__Report_Field;'
    singular: no

  - relationship: '&IDR_Report_Column__has__Report_Object;'
    index: 3695
    sourceClassId: '&IDC_ReportColumn;'
    type: 'has'
    destinationClassId: '&IDC_ReportObject;'
    siblingRelationshipId: '&IDR_Report_Object__for__Report_Column;'
    singular: yes

  - relationship: '&IDR_Report_Object__for__Report_Column;'
    index: 3696
    sourceClassId: '&IDC_ReportObject;'
    type: 'for'
    destinationClassId: '&IDC_ReportColumn;'
    siblingRelationshipId: '&IDR_Report_Column__has__Report_Object;'
    singular: no
